require_relative '../../test_helper'

describe Flexa::Invoice do
  let(:invoice){ Flexa::Invoice.new("aws-cost-allocation-2014-06.csv") }

  it { invoice.must_respond_to(:parse) }
  it { invoice.must_respond_to(:amazonec2) }
  it { invoice.must_respond_to(:amazonses) }
  it { invoice.must_respond_to(:amazonrds) }
  it { invoice.must_respond_to(:parse) }
  it { invoice.must_respond_to(:amazonec2) }
  it { invoice.must_respond_to(:amazonses) }
  it { invoice.must_respond_to(:total) }
  it { invoice.amazonec2('Flexa').must_be_instance_of(Array) }

  it "#total" do
    invoice.total(:amazonec2, 'Flexa').must_be_instance_of(Float)
    invoice.amazonec2('Flexa').total_price.must_be_instance_of(Float)

    invoice.total(:amazonec2, 'Flexa').must_equal(37.49)
    invoice.amazonec2('Flexa').total_price.must_equal(37.49)
  end
  it "#amazonec2" do
    invoice.amazonec2('Flexa').first.must_be_instance_of(CSV::Row)
  end

  it "Can use Strings too" do
    invoice.total(:amazonec2, 'Flexa').must_equal invoice.total("amazonec2", "Flexa")
  end
end
